[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# tdynarrayindex

Type with the correct size for index into a dynamic array.

## Declaration

Source position: dynarrh.inc line 19

`type tdynarrayindex = SizeInt;`

## Description

A variable of type tdynarrayindex will always have the correct size, suitable for serving as an index in a dynamic array.